.btn-site {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 12px 30px;
    border: none;
    border-radius: 0px;
    cursor: pointer;
    z-index: 1;
    overflow: hidden;
    position: relative;
    font-weight: 600;
    transition: background-color 0.3s ease;
    border-radius: 10px;
    border-top-left-radius: 10px !important;
    border-bottom-left-radius: 10px !important;
}

.btn-site span {
    position: relative;
    display: inline-block;
    transition: transform 0.3s ease;
}

.btn-site:hover span {
    transform: translateY(-200%);
}

.btn-site::after {
    content: attr(data-text);
    position: absolute;
    left: 0;
    top: 100%;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.3s ease-in-out;
}

.btn-site:hover::after {
    top: 0;
}

.btn-green {
    background: linear-gradient(
        to bottom,
        var(--green6) 0%,
        var(--green6) 50%,
        #000000 50%,
        #000000 100%
    );
    background-size: 100% 200%;
    background-position: top;
    color: #ffffff;
    transition: 0.4s ease-in-out;
}
.btn-green:hover {
    background-position: bottom;
    color: #ffffff;
}
.btn-green:hover {
    background-position: bottom;
    color: #ffffff;
}

.btn-green-2 {
    background: linear-gradient(
        to bottom,
        var(--green6) 0%,
        var(--green6) 50%,
        #ffffff 50%,
        #ffffff 100%
    );
    background-size: 100% 200%;
    background-position: top;
    color: #ffffff;
    transition: 0.4s ease-in-out;
}
.btn-green-2:hover {
    background-position: bottom;
    color: #000000;
}

.btn-site-2 {
    position: relative;
    display: inline-flex;
    align-items: center;
    height: 34px;
    width: fit-content;
    color: #000000;
    transition: 0.3s ease-in-out;
}
.btn-site-2 span {
    height: 24px;
    width: 24px;
    opacity: 0;
    border: solid 1px var(--green6);
    border-radius: 50%;
    margin-left: 44px;
    transition: 0.3s ease-in-out;
}
.btn-site-2 svg {
    position: absolute;
    right: 20px;
    transition: 0.3s ease-in-out;
}
.btn-site-2:hover svg {
    right: 4px;
}
.btn-site-2:hover {
    color: var(--green6);
}
.btn-site-2:hover span {
    opacity: 1;
    width: 28px;
    height: 28px;
}
.ar-button {
    border: solid 1px #ffffff;
    background-color: transparent;
    position: absolute;
    bottom: 50px;
    margin: 0 auto;
    color: #ffffff;
    padding: 10px 20px;
    left: 0px;
    right: 0px;
    width: fit-content;
    border-radius: 8px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}
.ar-button svg {
    width: 32px;
    height: 32px;
    margin-right: 5px;
}
